# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:report_as) do
  include EasyType

  newvalues(:warning, :WARNING, :error, :ERROR)
  data_type("Optional[Enum['warning', 'WARNING', 'error', 'ERROR']]")

  desc <<-DESC

  This resource allows you to specify which type of alert(warning or error) you want when max_usage is reached.

      db2_verify { 'db2inst1/MYDB/My verification':
        ...
        report_as => 'warning|error',
        ...
      }

  DESC

  defaultto :warning
end
